# Push alerts **POST /services/mimir/alertmanager/api/v2/alerts** Pushes one or more alerts to the Alertmanager for this system. The system's `system_key`, `system_id`, and `organization_id` are automatically injected and override any client-supplied values. **Access control:** Requires HTTP Basic Auth with valid system credentials. **Request body limits:** Maximum 10 MB per request (configurable via `API_MAX_REQUEST_SIZE`). ## Servers - Backend API server (port 8080): https://api.your-domain.com/api (Backend API server (port 8080)) - Collect API server (port 8081): https://collect.your-domain.com/api (Collect API server (port 8081)) ## Authentication methods - Basic auth ## Parameters ### Body: application/json (array[object]) ## Responses ### 200 Alerts accepted and forwarded to Alertmanager ### 400 Bad request - validation error #### Body: application/json (object) - **code** (integer) HTTP error code - **message** (string) Error message - **data** (object) ### 401 Unauthorized - invalid or missing token #### Body: application/json (object) - **code** (integer) - **message** (string) - **data** (object | null) ### 413 Payload too large #### Body: application/json (object) - **code** (integer) HTTP error code - **message** (string) Error message - **data** (object) ### 502 Internal server error #### Body: application/json (object) - **code** (integer) - **message** (string) - **data** (object | null) [Powered by Bump.sh](https://bump.sh)